%define _requires_exceptions perl(controllib.pl)\\|perl(file)

Summary:	Package maintenance system for Debian Linux
Name:		dpkg
Version:	1.16.0.1
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Configuration/Packaging
Url:		http://packages.debian.org/unstable/base/dpkg.html
Source0:	ftp://ftp.debian.org/debian/pool/main/d/dpkg/%{name}_%{version}.tar.bz2
Source1:	%{name}-pl-man-pages.tar.bz2
Patch3:		gentoo-bug-289094.patch
BuildRequires:	gettext-devel
BuildRequires:	zlib-devel
BuildRequires:	po4a
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This package contains the programs dpkg which used to handle the installation
and removal of packages on a Debian system.

In order to unpack and build Debian source packages you will need
to install the developers' package `dpkg-dev' as well as this one.

dpkg-dev is not provided on your %{_vendor} system.

%package -n	perl-Dpkg
Summary:        Package maintenance system for Debian Linux
Group:          Development/Perl
BuildArch:      noarch

%description -n	perl-Dpkg
This module provides dpkg functionalities.

%prep
%setup -q
%patch3 -p1

%build
%configure2_5x \
    --enable-shared \
    --without-dselect \
    --with-admindir=%{_localstatedir}/lib/%{name}

%make

%install
rm -rf %{buildroot}

%makeinstall_std

bzip2 -dc %{SOURCE1} | tar xf - -C %{buildroot}%{_mandir}

# cleanup
rm -fr %{buildroot}%{_datadir}/locale/en/
rm -fr %{buildroot}%{_sysconfdir}/alternatives
rm -f %{buildroot}%{_bindir}/update-alternatives
rm -f %{buildroot}%{_sbindir}/update-alternatives
rm -fr %{buildroot}/usr/share/doc
find %{buildroot} -name "md5sum*" -exec rm -f {} \;
find %{buildroot}%{_mandir} -name "update-alternatives*" -exec rm -f {} \;

%find_lang %name
%find_lang dpkg-dev
cat dpkg-dev.lang >> %name.lang

%clean
rm -rf %{buildroot}

%files -f dpkg.lang
%defattr(644,root,root,755)
%attr(0755,root,root) %{_bindir}/dpkg*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/parsechangelog
#%attr(0755,root,root) %{_libdir}/%{name}/mksplit
%attr(0755,root,root) %dir %{_libdir}/%{name}/parsechangelog/debian
%attr(0755,root,root) %{_sbindir}/*
%dir %{_datadir}/%{name}
%dir %{_localstatedir}/lib/%{name}
%{_datadir}/%{name}/cputable
%{_datadir}/%{name}/ostable
%{_datadir}/dpkg/triplettable
%{_localstatedir}/lib/%{name}/*
%dir %{_sysconfdir}/%{name}
%{_mandir}/man1/dpkg*
%{_mandir}/man5/*
%{_mandir}/man8/*
%lang(de) %{_mandir}/de/man?/*
%lang(ja) %{_mandir}/ja/man?/*
%lang(pl) %{_mandir}/pl/man?/*
%lang(sv) %{_mandir}/sv/man?/*
%lang(fr) %{_mandir}/fr/man?/*
%lang(hu) %{_mandir}/hu/man?/*
%lang(es) %{_mandir}/es/man?/*
%{_includedir}/dpkg/*
%{_mandir}/man3/*
%{_libdir}/libdpkg.a
%{_libdir}/pkgconfig/libdpkg.pc

%files -n perl-Dpkg
%defattr(-,root,root)
%{perl_vendorlib}/Dpkg
%{perl_vendorlib}/Dpkg.pm


%changelog
* Sat May 21 2011 cjw <cjw> 1.16.0.1-2.mga1
+ Revision: 100055
- drop patch4, fixed upstream

  + ahmad <ahmad>
    - Replace a reference to Mandriva with Mageia

  + tv <tv>
    - new release

* Thu Mar 24 2011 boklm <boklm> 1.15.8.4-2.mga1
+ Revision: 76136
- rebuild for bug #497

* Sun Mar 06 2011 ennael <ennael> 1.15.8.4-1.mga1
+ Revision: 65271
- clean spec file
- imported package dpkg


* Mon Aug 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.15.8.4-1mdv2011.0
+ Revision: 572150
- drop p0, uneeded now.
- drop p1 && p2, merged upstream.
- add p4 for fix string format
- update file list

* Fri Aug 06 2010 Bruno Cornec <bcornec@mandriva.org> 1.15.5.6-2mdv2011.0
+ Revision: 566523
- Adding the patch file for http://bugs.gentoo.org/show_bug.cgi?id=289094
- Add a patch to fix the bug reported in http://bugs.gentoo.org/show_bug.cgi?id=289094 which is also valid on Mandriva

* Sun Apr 18 2010 Oden Eriksson <oeriksson@mandriva.com> 1.15.5.6-1mdv2010.1
+ Revision: 536359
- 1.15.5.6
- sync patches with fedora
- added the perl sub package

  + Thierry Vignaud <tv@mandriva.org>
    - patch 0: fix format string
    - new release

* Thu Jul 30 2009 Thierry Vignaud <tv@mandriva.org> 1.13.26-1mdv2010.0
+ Revision: 404636
- new release (basic lzma support (needed for alien))
- BR po4a

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.13.11-4mdv2009.0
+ Revision: 244523
- rebuild

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.13.11-2mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Jérôme Soyer <saispo@mandriva.org>
    - import dpkg


* Fri Jul 21 2006 Michael Scherer <misc@mandriva.org> 1.13.11-2mdv2007.0
- new extension

* Sat Dec 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.13.11-1mdk
- 1.13.11

* Sat Dec 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.10.28-1mdk
- 1.10.28

* Thu May 20 2004 Michael Scherer <misc@mandrake.org> 1.10.21-1mdk
- rpmbuildupdate aware
- New release 1.10.21

* Mon Apr 05 2004 Michael Scherer <misc@mandrake.org> 1.10.18-3mdk 
- remove invalid word

* Sat Mar 06 2004 Michael Scherer <misc@mandrake.org> 1.10.18-2mdk 
- fix unpackaged files

* Thu Dec 11 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.10.18-1mdk
- new release

* Mon Aug 25 2003 Michael Scherer <scherer.michael@free.fr> 1.10.10-5mdk 
- update description
- BuildRequires zlib-devel
- macros

* Sat Jul 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-4mdk
- fix DIRM error 

* Sat Jul 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-3mdk
- don't require perl(file)

* Mon Jul 07 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-2mdk
- fix requires

* Sun Jul 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.10-1mdk
- 1.10.10 

* Thu Dec 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.10.9-1mdk
- 1.10.9
- remove patch1,2,3
- rediff patch0
- new patch2
- fix unpackaged files

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-3mdk
- remove useless en translation
- add Url

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-2mdk
- remove conflict

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.15-1mdk
- initial package

